@import "variables";

#ryax-return {
  margin-top: 24px;
}

h1 {
  margin: 24px 0 0;
  font-weight: 900;
  font-size: 1.75rem;
}

h2 {
  margin: 0 0 18px;
  font-weight: 900;
  font-size: 1.375rem;
  color: $primary5;
}

h3 {
  font-weight: bold;
}

#ryax-repository-content {
  display: flex;
  align-items: flex-start;
  gap: 100px;

  nz-tabset, ryax-scanned-action-details, #ryax-no-scan {
    flex: 1;
    width: 0;
  }
}

.ryax-scan-buttons {
  display: flex;
  align-items: center;
  gap: 8px;
}

.ryax-action-list {
  margin: 0;
  padding: 0 8px 0 0;
  list-style: none;
  max-height: calc(100vh - 450px);
  overflow: auto;

  &::-webkit-scrollbar-track {
    margin: 0;
  }

  li {
    margin-bottom: 16px;
    cursor: pointer;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

#ryax-no-scan{
  display: flex;
  flex-direction: row;
  gap: 20px;
}
#ryax-no-scan-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 300px;
}
